package com.ho.common.tools.exception;


public enum BaseResponseCode implements ResponseCodeInterface {
    /**
     * 这个要和前段约定好
     * 引导用户去登录界面的
     * code=401001 引导用户重新登录
     * code=401008 无权限访问
     */
    SUCCESS(200, "操作成功"),
    SYSTEM_BUSY(500001, "系统繁忙，请稍候再试"),
    OPERATION_ERRO(500002, "系统异常"),
    PERMISSION_DENIED(500003, "权限不足,请联系管理员"),
    FEIGN_CALL_FAIL(500005, "微服务调用错误"),
    SUPER_ROLE_CANNOT_MODIFY(500006, "超级管理员信息不能变更"),
    INNER_ROLE_CANNOT_MODIFY(500007, "系统内置角色不能被操作"),
    DELETE_ERROR(500008, "删除失败"),
    CREATE_BUCKET_ERROR(500009, "创建minio桶失败"),
    FILE_UPLOAD_ERROR(500010, "上传文件失败"),
    FILE_DOWNLOAD_ERROR(500011, "下载文件失败"),
    DELETE_ERROR_NO_DATA(500012, "请选择需要删除的数据"),
    PARAM_EXCEED_LENGTH(500013, "参数超过限定长度"),

    PARSING_FAILED(500014, "解析失败，请核对区域和图片的对应关系"),

    BAIDU_PIC_NOTIFY_TIME_OUT(500015, "调用百度表格文字识别超时"),

    BAIDU_PIC_NOTIFY_USE_UP(500016, "百度表格文字识别秘钥错误或上传格式错误或调用次数已用尽,联系管理员解决"),

    TOKEN_PARSE_ERROR(401001, "登录凭证已过期，或在其他设备登陆，当前登陆已失效"),
    TOKEN_ERROR(401001, "登录凭证已过期，或在其他设备登陆，当前登陆已失效"),
    ACCOUNT_ERROR(401001, "该账号异常，请联系运营人员"),
    ACCOUNT_LOCK_ERROR(401001, "该用户已被锁定，请联系运营人员"),
    TOKEN_PAST_DUE(401001, "登录凭证已过期，或在其他设备登陆，当前登陆已失效"),
    LOSE_EFFICACY(401002, "当前登录账号已过期，请联系运营人员"),
    DATA_ERROR(401003, "传入数据异常"),
    NOT_ACCOUNT(401004, "该用户不存在,请先注册"),
    USER_LOCK(401005, "该用户已被锁定，请联系运营人员"),
    PASSWORD_ERROR(401006, "用户名或密码错误"),
    METHODARGUMENTNOTVALIDEXCEPTION(401007, "方法参数校验异常"),
    UNAUTHORIZED_ERROR(401008, "权鉴校验不通过"),
    ROLE_PERMISSION_RELATION(401009, "该菜单权限存在子集关联，不允许删除"),
    OLD_PASSWORD_ERROR(401010, "旧密码不正确"),
    NOT_PERMISSION_DELETED_DEPT(401011, "该组织机构下还关联着用户，不允许删除"),
    OPERATION_MENU_PERMISSION_CATALOG_ERROR(401012, "操作后的菜单类型是目录，所属菜单必须为默认顶级菜单或者目录"),
    OPERATION_MENU_PERMISSION_MENU_ERROR(401013, "操作后的菜单类型是菜单，所属菜单必须为目录类型"),
    OPERATION_MENU_PERMISSION_BTN_ERROR(401013, "操作后的菜单类型是按钮，所属菜单必须为菜单类型"),
    OPERATION_MENU_PERMISSION_UPDATE(401014, "操作的菜单权限存在子集关联不允许变更"),
    OPERATION_MENU_PERMISSION_URL_NOT_NULL(401015, "菜单权限的url不能为空"),
    OPERATION_MENU_PERMISSION_URL_PERMS_NULL(401016, "菜单权限的标识符不能为空"),
    OPERATION_MENU_PERMISSION_URL_METHOD_NULL(401017, "菜单权限的请求方式不能为空"),
    PARENT_DEPT_IS_DISABLE(401018, "父级部门是禁用状态,该部门无法启用"),
    PARENT_PERMISSION_IS_DISABLE(401019, "父级菜单是禁用状态,该部门无法启用"),
    SUB_DICT_ALREADY_EXISTS(401018, "已经存在相同类型和键的字典数据"),
    DICT_ALREADY_EXISTS(401018, "已经存在相同type和value的字典数据"),
    DICT_DELETED_EXISTS(401019, "该字典数据不存在"),


    USER_NAME_ALREADY_EXISTS(401020, "相同的用户名已存在"),
    SUPER_CANOT_DELETE(401021, "超级管理员不能被删除"),
    ROLE_NAME_CANNOT_BE_SUPER(401022, "角色名不能是 超级管理员"),
    ROLE_NAME_ALREADY_EXITS(401023, "该角色名已存在,请填其他名称"),
    SUPER_ROLE_NAME_CANOT_RENAME(401024, "超级管理员 名称不能修改"),


    PERMISSION_ALREADY_EXISTS(401025, "已经存在相同的perms"),

    ROLE_ALREADY_USED(401026, "该角色已经被使用"),

    DATA_NOT_EXISTS(401027, "对应数据不存在,请检查参数"),

    PARENT_MENU_NOT_ADD_ENABLED(401028, "父级菜单状态未启用,不能添加子类菜单"),

    PARENT_MENU_NOT_UPDATE_ENABLED(401028, "父级菜单状态未启用,不能修改子类菜单"),

    PARENT_MENU_DELENTION_STATUS(401029, "父类菜单为删除状态，不能添加子节点"),
    ROLE_INFO_NOT_FOUND(401030, "对应角色信息不存在"),
    SYS_MENU_NAME_NOT_RIGHT(401031, "顶级菜单的名称不能为 'system(系统管理) 或menu(菜单管理)' "),
    SYS_MENU_NAME_CANNOT_MODIFY(401032, "'系统管理' 这个菜单不能进行变更或删除"),
    USER_NAME_PHONE_CANNOT_BE_SAME(401033, "账号和手机号不能相同"),
    MENU_SHOW_TYPE_NOT_RIGHT(401034, "菜单展示类型不正确"),
    PHONE_IS_USED_BY_OTHER_PERSON(401035, "该手机号已经被他人使用,请核对手机号"),
    PARENT_DEPT_CANNOT_SELF(401036, "所属部门不能是自身"),
    MENU_TYPE_NOT_BUTTON_PLEASE_ADD_ORDER_NUM(401037, "类型是菜单，请添加排序码"),
    PARAM_CHECK_FAIL(401038, "参数校验失败,缺少必填参数"),

    MENU_NAME_ALREADY_EXISTS_PLEASE_RETYPE(401039, "菜单名称已存在，请重新输入"),
    SYS_MENU_NOT_DELETE_MENU(401040, "menu(菜单管理)这个菜单不能进行变更或删除 "),
    MENU_CANNOT_NOT_STATE_DELETE(401041, "菜单为启用状态，不能被删除"),
    DEPT_CANNOT_NOT_STATE_DELETE(401042, "部门为启用状态，不能被删除"),
    POSITION_CANNOT_NOT_STATE_DELETE(401043, "岗位为启用状态，不能被删除"),
    USER_CANNOT_NOT_STATE_DELETE(401044, "用户为启用状态，不能被删除"),
    INCORRECT_MOBILE_NUMBER_FORMAT(401045, "输入手机号格式有误"),
    PARENT_MENU_TYPE_BUTTON_NOT_ADD(401046, "菜单名称已存在，请重新输入"),

    DICT_EXISTENCE_EXISTENCE_KEY_VALUE(401047, "已经存在相同key字典数据"),

    PARENT_NODE_TYPE_NOT_BUTTON(401048, "父级节点类型不能为按钮"),
    USER_DOES_NOT_VALID_ROLE(401049, "该用户无有效角色"),
    PRIMARY_MENU_CANNOT_MODIFIED_TYPE_BUTTON(401050, "一级菜单不能修改为按钮类型"),
    MENU_SUB_LEVEL_ASSOCIATED_DATA_CANNOT_MODIFIED(401051, "菜单子级存在关联数据，不能修改"),

    TO_BELONGING_DEPT_DISABLE(401052, "所属部门被禁用，请联系管理员"),

    SYS_MENU_NAME_STATUS_CANNOT(401053, "'系统管理' 这个菜单不能被禁用"),
    //大屏相关
    INVALID_BIG_SCREEN_TOKEN(401054, "无效的大屏token"),

    MENU_NAME_STATUS_CANNOT(401055, "'菜单管理' 不能被禁用"),
    //同级存在相同名称
    PEER_EXISTENCE_SAME_NAME(401056, "同级存在相同名称"),

    NOT_PERMISSION_STATUS_DEPT(401057, "该组织机构下还关联着用户，不允许更改状态"),

    ROLE_ENABLED_NOT_DELETED(401058, "角色为启用状态，不能删除"),

    SORT_CODE_BEEN_USED_PLEASE_CORRECT_SORT(401059, "排序码已使用，请输入正确的排序码"),
    TOP_LEVEL_DEPARTMENTS_CANNOT_CHANGE_DEPARTMENTS(401060, "顶级部门不能更改所属部门"),
    UPDATE_BELONGS_DEPT_NOT_SAME_GROUP(401061, "所属部门不为同一集团，不可以修改"),

    LOSE_LICENCE(401062, "请检查Licence是否过期"),

    REGION_NAME_ALREADY_EXISTS(401063, "相同的电价区域已存在"),

    //业务系统错误
    STATION_ALREADY_EXISTS(600001, "已经存在相同的数据"),

    TOPOLOGY_ALREADY_EXISTS(600002, "已经存在相同的拓扑关系"),
    //非平台管理员无法创建顶级部门
    NON_PLATFORM_ADMINISTRATOR(600003, "非平台管理员无法创建顶级部门"),

    NOT_LAST_DEPARTMENT(600004, "不是最末级部门,无法删除"),

    STATION_CANNOT_NOTDELE(600005, "已有关联电站,无法删除"),

    PLAT_USER_CANNOT_MONITOR(600006, "平台用户管理员不能直接查看监控页面,请使用集团用户登陆"),

    PLAT_USER_CANNOT_OPERATE(600006, "平台用户不能操作该业务,请使用集团用户登陆"),
    PLAT_USER_DEPLOYMENT_ERROR(600007, "新建部门部署工作流失败,请重试"),
    GROUP_ID_IS_NULL(600008, "集团id不能为空"),
    //电站的错误
    STATION_NO_FOUND(600005, "该用户无关联电站"),
    STATION_NO_DELETED(600006, "电站关联了拓扑数据或工单数据,不能删除"),
    STATION_PLEASE_SELECT(600007, "请选择需要删除的电站"),
    STATION_SN_NOT_MORE_THAN_SIXTEEN(600008, "输入的sn编码不能超过16个字符"),
    STATION_SN_DUPLICATE_INPUT(600008, "输入的sn编码不能重复"),
    STATION_SN_ALREADY_EXISTS(600009, "输入的sn编码已存在"),
    STATION_ICCID_EXISTS(600010, "输入的卡号已存在"),
    INPUT_CARD_BOUND_STATION(600011, "输入的卡号已绑定电站"),
    PLEASE_SELECT_CORRESPOND_PACKAGE(600012, "请选择对应套餐"),
    SELECT_CORRSTATION_NO_DELETED(600013, "所选物联卡已绑定电站,无法删除"),
    PACKAGE_NO_GROUPID(600014, "移动套餐新增未输入所属群组Id"),
    CARD_PACKAGE_ASSOCIATED_POWER_STATION(600015, "该套餐下的卡存在与电站关联关系"),
    EXCEL_ICCID_EXISTS(600016, "请核对数据,存在重复录入"),
    PLEASE_CONFIRM_CORRECT(600017, "请确认卡号是否存在未填写或者excel中第一行数据与官网下载数据有异"),

    //时序数据库中的数据
    STATION_YC_NOT_EXISTS(600007, "对应电站数据不存在"),
    WAREHOUSE_NOT_EXISTS(600008, "对应舱数据不存在"),
    BATTERY_STACK_NOT_EXISTS(600009, "对应电池堆数据不存在"),
    BATTERY_CLUSTER_NOT_EXISTS(600010, "对应电池簇数据不存在"),
    BATTERY_PAGE_NOT_EXISTS(600011, "对应电池包数据不存在"),
    BATTERY_CELL_NOT_EXISTS(600012, "对应电池芯数据不存在"),

    //拓扑数据错误 ,没查到对应拓扑数据
    TOPOLOGY_STACK_NOT_EXISTS(600013, "对应的 电池堆 拓扑数据不存在"),
    TOPOLOGY_CLUSTER_NOT_EXISTS(600014, "对应的 电池簇 拓扑数据不存在"),
    TOPOLOGY_PACK_NOT_EXISTS(600015, "对应的 电池包 拓扑数据不存在"),
    TOPOLOGY_CELL_NOT_EXISTS(600016, "对应的 电池芯 拓扑数据不存在"),
    TOPOLOGY_STATION_NOT_EXISTS(600017, "对应的 电站 拓扑数据不存在"),
    TOPOLOGY_WAREHOUSE_NOT_EXISTS(600018, "对应的 电池舱 拓扑数据不存在"),
    TOPOLOGY_ELEC_QUALITY_NOT_EXISTS(600200, "对应的 电能质量拓扑数据不存在"),

    //设备
    CORRESPONDING_DEVICE_DOES_NOT_EXIST(600019, " 对应设备不存在"),
    STATION_DEVICE_NOT_EXIST(600020, " 对应电站下设备不存在"),
    CHOOSE_DEVICE(600021, "请选择设备类型"),
    DEVICE_TYPE_NOT_CONFIG(600022, "该设备设备类型尚未配置"),
    PLEASE_ENTER_NUMBER_OF_VIRTUAL_DEVICES(600023, "请输入正确的虚拟设备个数"),
    DATA_THE_SAME_DEVICE_ID(600024, "数据存在相同的设备Id"),
    PLEASE_ENTER_CORRECT_STARTING_DEVICE_ID(600025, "请输入正确的起始设备Id"),


    //工单相关 错误码 600100--600199
    WORK_ORDER_STATUS_MUST_BE_NOT_ALLOCATED(600100, "工单状态不是 待分配 ,无法进行分配"),
    WORK_ORDER_STATUS_NOT_ASSIGNED_CANNOT_CONFIRMED(600101, "工单状态不是 已分配 ,无法进行确认"),
    WORK_ORDER_STATUS_NOT_ASSIGNED_CANNOT_RETURNED(600102, "工单状态不是 已分配 ,无法进行退回"),
    WORK_ORDER_STATUS_NOT_PROCESS_CANNOT_CLOSED(600103, "工单状态不是 处理中,无法进行关闭动作"),
    WORK_ORDER_CANNOT_MODIFIED(600104, "工单订单号 不能进行修改"),
    WORK_ORDER_TYPE_NOT_MANUAL_CANNOT_BE_MODIFIED(600105, "工单类型不为人工派单，不能进行修改"),
    WORK_ORDER_ID_TYPE_NOT_RIGHT(600106, "工单自增id的获取正确"),
    EXISTENCE_NOT_PENDING_ASSIGNMENT_CANNOT_DELETED(600107, "工单状态不是待分配状态，无法进行删除"),
    WORK_ORDER_NOT_CONVERSION(600108, "选中的告警数据中包含不能被转化工单的数据"),
    WORK_ORDER_ID_REQUIRED(600108, "工单号必填"),
    WORK_ORDER_TO_ID_REQUIRED(600109, "维修人员必须指定"),
    WORK_ORDER_PHONE_REQUIRED(600110, "维修人员手机号必填"),
    WORK_ORDER_NOT_ADD(600111, "用户没有新增权限"),
    WORK_ORDER_STATUS_MUST_BE_NOT_EDIT(600112, "工单状态不是 待分配 ,无法进行编辑"),
    IS_NOT_ROLE_WORK_ORDER_LEADER(600113, "当前用户没有分配工单的权限"),
    WORK_ORDER_ADD_ERROR(600114, "新增工单业务数据失败"),
    WORK_ORDER_UPDATE_ERROR(600115, "修改工单业务数据失败"),
    WORK_ORDER_DELETE_ERROR(600116, "删除工单业务数据失败"),
    WORK_ORDER_INPUT_ID(600117, "请选择工单业务"),
    NO_QUALIFIED_PERSONNEL_IN_ALL_DEPARTMENTS(600118, "所属部门下没有符合要求的人员"),
    DEPARTMENT_NOT_EXIST(600119, "部门不存在"),
    NO_RELEVANT_POSITIONS(600120, "没有相关岗位"),
    PERSONNEL_NOT_ASSOCIATED_WITH_POSITION(600121, "岗位未关联人员"),
    WORK_ORDER_PLAN_ADD_ERROR(600122, "新增工单计划数据失败"),
    WORK_ORDER_PLAN_SUB_ADD_ERROR(600122, "新增工单计划子表数据失败"),
    WORK_ORDER_PLAN_DELETED_ERROR(600122, "删除工单计划数据失败"),
    WORK_ORDER_PLAN_UPDATE_ERROR(600122, "修改工单计划数据失败"),
    PROCESS_INSTANCE_NOT_DEPLOYMENT(600123, "发起工单"),
    PROCESS_INSTANCE_ADD_ERROR(600124, "发起工单失败"),
    APPROVAL_ERROR(600124, "流转工单失败"),

    //以下是工作流以后的工单提示
    WORK_ORDER_NOT_EXISTS(600122, "对应的工单不存在"),

    //工作流的错误码
    //工作流的错误码
    TASK_NOT_EXISTS(600130, "对应Task任务不存在"),
    TASK_IS_NOT_YOURS(600131, "不是本人任务,无法去办理"),
    TASK_IS_NOT_FIRST(600132, "对应Task任务不是创建任务"),
    TASK_CHOICE_CANDIDATE_USER(600133, "请选择候选人"),
    TASK_ALREADY_CLAIM_BY_OTHER(600134, "工单已被接收，暂不能处理."),
    PROCESS_MANAGEMENT_ID_NOT_EMPTY(600135, "请指定工单流程"),
    PROCESS_TEMPLATE_IS_EMPTY(600136, "该流程模板的流程图为空"),

    //充电桩相关 错误码 600200--600299
    //充电桩
    DEVICE_TYPE_NOT_CHARGING_CHARGING_PILE(600200, "设备类型不是充电桩"),
    DEVICE_FEE_NOT_SET(600201, "充电桩设备的价格还未设置"),


    //电能质量 碳足迹相关 错误码600200--600299
    ELEC_QUALITY_NOT_EXISTS(600200, "电能质量数据不存在"),
    YEAR_MONTH_CAN_NOT_EMPTY_TOGETHER(600201, "年份和月份不能同时为空"),


    //文件相关 错误码600300--600399
    FILE_IS_EMPTY(600300, "文件为空"),

    FILE_IS_TO_BIG(600301, "文件大小不能超过500MB"),

    FILE_IS_EXCEED_5M(600302, "文件大小不能超过5MB"),

    FILE_NOT_EXISTS(600303, "文件不存在"),

    FILE_NOT_DELETE(600304, "删除文件失败"),

    FILE_IS_USING(600305, "文件传输正在使用"),

    FILE_IS_TO_MORE(600306, "上传文件大小不能超过2MB"),

    FILE_FORMAT_ONLY(600307, "上传文件格式不正确"),

    FILE_NOT_MORE_THAN_THREE(600308, "上传文件总数不能超过三个"),
    FILE_NOT_MORE_THAN_NINE(600309, "上传文件总数不能超过9个"),

    //告警中心相关
    EVENT_IDS_NOT_EMPTY(600400, "请先选择告警数据!"),
    ONLY_ONE_STATION(600401, "只能在同一个电站下选择!"),
    CONVERSION_ERROR(600402, "转化工单失败!"),


    //岗位管理相关 错误码600500--600599
    POSITION_ALREADY_EXISTS(600500, "岗位已经存在"),
    POSITION_NOT_EXISTS(600501, "岗位不存在"),
    POSITION_ASSOCIATED_USER_CANNOT_DISABLE(600502, "岗位关联用户，不能禁用"),


    //mqtt通信相关 错误码600600--600699
    MQTT_TOKEN_GENERATE_FALL(600600, "生成token失败"),


    //智慧能源相关 错误码600700--600799
    SMART_ENERGY_CONTEMPORANEOUS_NOT_DATE(600600, "请输入时间"),


    //组态图配置相关 错误码600800--600899
    NOT_DELETE_EXIST_DATA_RELATION(600800, "无法删除,数据在配置表中存在数据关系"),

    //逆变器错误码600900--600999
    INVERTER_EQUIPMENT_UNDER_SELECTED_POWER_STATION(600900, "所选电站下没有逆变器设备"),


    //驾驶舱错误码601000--601099
    COCKPIT_NOT_SEE(601000, "管理员不能看驾驶舱"),


    //告警配置602000--602099
    TELEMETRY_VALUE_NOT_LIMIT(602000, "请输入上限或下限数值"),
    TELEMETRY_NOT_IS_NULL(602001, "告警等级不能为空"),
    EXISTS_DUPLICATE_DATA(602002, "存在重复数据"),
    CONFIGURATION_ELEMENT_DOES_NOT_EXIST(602003, "配置元素不存在"),
    CONFIGURATION_ELEMENT_IS_NULL(602004, "存在空值，请检查"),
    EXISTS_UPPER_LESS_LOWER(602005, "存在上限小于下限"),
    EXCEEDING_VALUE_RANGE(602006, "超过取值范围(-1000000000~1000000000)"),

    //设备配置603000--603099
    THE_SAME_DATA_EXISTS_DATABASE_PLEASE_CHECK(603000, "数据库中存在相同的字段col，请检查"),
    MODIFIED_DATA_REFERENCED_CANNOT_CHANGED(603001, "所修改的数据被引用，不能更改"),
    DEVICE_NOT_EXIST(603002, "设备不存在"),
    REFERENCES_EXIST_DELETED_DATA(603003, "所删除的数据中存在被引用"),
    SAME_DATA_ASSOCIATION_EXISTS(603004, "存在相同的数据关联关系"),
    SCOPE_IS_STATION_ID_CANNOT_NULL(603005, "范围是电站时, 电站id不能为空"),
    PLEASE_CHECK_DEVICE_TYPE(603006, "请选择同步的设备类型"),
    PLEASE_CHECK_MODEL_TYPE(603007, "请选择同步的模型类型"),
    TELEMETRY_POINT_CONFIGURED_REMOTE_SIGNAL(603008, "该遥测点已经配置为遥信点"),
    PLEASE_CHECK_SRC_STATION(603009, "请选择同步的数据源电站"),
    PLEASE_CHECK_MODEL_STATION(603010, "请选择要被同步的目标电站"),
    //没有重复元素

    //资产管理604000-605099
    PLEASE_CHECK_THE_EXCEL_FORMAT(604000, "请核对excel格式"),
    SJEKK_EXCEL_DATA(604001, "请核对excel表中的数据"),
    EXCEL_DATA_TABLE_EMPTY(604002, "excel表中数据为空"),
    PLATFORM_ADMIN_CANNOT_DIRECTLY_USE(604003, "平台管理员不能直接使用,请使用平台用户登陆"),
    PROJECT_NAME_CANNOT_EMPTY(604004, "项目名称不能为空"),
    PLEASE_CONFIRM_WHETHER_IMPORTED_TEMPLATE_CORRECT(604005, "检测到您excel中第一行数据与模板有异，请确认导入模板是否正确"),
    EXCEL_TABLE_EXCEEDS_MAXIMUM_MONTH_PLEASE_VERIFY(604006, "导入的excel表中的月份有误，请核实"),
    PROJECT_DATA_THAT_MONTH_PLEASE_VERIFY_MONTH(604007, "项目存在该月份的数据，请核实月份"),
    PLEASE_DELETE_MONTH_FORMAT_PROMPTED_TEMPLATE(604008, "请删除模板中所提示的月份格式"),
    PLEASE_ENTER_MONTH(604009, "请输入月份"),
    ERROR_FORMAT_SETTLEMENT_MONTH_ENTERED(604010, "输入的结算月份格式有误, 必须为 yyyy-MM"),


    //下发相关错误码
    COMMAND_IS_EMPTY(61001, "没有查询到进度"),

    //收益错误码603000--603099
    INCOME_CONFIRMATION_AT_THE_END_OF_THE_MONTH(603000, "实时数据还在上送,只能确认上一个月的收益"),
    INCOME_ADD_AT_THE_END_OF_THE_MONTH(603001, "当前月份时只展示实时数据，不可手动添加或导入"),
    POWER_BILLS_NOT_RELEVANT_DATA_MONTH(603002, "电费结算单在所选择的月份中无相关数据"),

    //指令相关 错误码700001--700100
    ORDER_IS_USING(700001, "命令下发传输正在使用"),

    //摄像头相关 错误码603100 -- 603199
    ADD_CAMERA_ERROR(603100, "添加摄像头数据失败"),
    DELETED_CAMERA_ERROR(603102, "删除摄像头数据失败"),
    UPDATE_CAMERA_ERROR(603103, "修改摄像头数据失败"),
    PLEASE_SPECIFY_A_STATION_DEFAULT_CAMERA(603104, "请指定电站默认摄像头"),
    CAMERA_NO_EXIST(603105, "指定摄像头不存在"),
    PLEASE_CHOOSE_CAMERA(603101, "请选择摄像头"),

    //APP站首页 错误码603200 -- 603299
    EQUIPMENT_UNDER_POWER_STATION(603200, "该电站下设备"),

    //点表 错误码603300 -- 603399
    INDEX_QUERIED_NO_DATA_TIME(603300, "您查询的指标暂无数据"),
    //计划曲线 错误码60400 -- 60499
    TIME_FORMAT_INCORRECT(60400, "输入的电价数据中开始时间必须为00:00,结束时间为24:00"),
    NON_REPETITIVE_TEMPLATE_NAME(60401, "模板名称不能重复"),

    ELEC_TEMPLATE_DOES_NOT_EXIST(60402, "电价模板不存在"),
    PLEASE_SELECT_ELECTRICITY_PRICE_TEMPLATE_DATA(60403, "请选择电价模板数据"),
    PLEASE_SELECT_STATION(60404, "请选择电站"),
    PRICE_TEMPLATE_ID_TYPE_NOT_RIGHT(600405, "电价模板自增id的获取正确"),
    EXCEL_DATA_IMPORT_ERROR(604006, "导出数据失败"),
    STATION_DATA_NULL_IMPORT_ERROR(604007, "电站为空，导出异常"),
    TYPE_TOO_LONG(60407, "用电类型不能超过10个字符"),

    MOVEMENT_ERROR(604008, "转工单失败"),

    NON_DATA(60000, "参数不能为空"),
    CURVE_DATA_ERROR(60000, "一条普通曲线只能绑定一个点"),
    POINT_NOT_NULL(60000, "绑点不能为空"),
    COMMON_POINT_DATA_ERROR(60000, "普通点/一点多义/拆电芯只能绑定一个点"),
    POINT_DATA_ERROR(60000, "拆电芯值不能为空"),
    POINT_DATA_ERROR_MORE(60000, "一点多义值不能为空"),
    PRICE_TOO_LONG(60409, "电价不能超过6位数"),

    TEMPALTE_NAME_NON(60410, "模板名称不能为空"),
    PRICE_IS_NULL(60411, "电价不能为空"),

    //自动化设备模块  605001 - 605099
    AUTO_DEVICE_NOT_FOUND(605001, "对应一体柜不存在"),
    EMS_SN_SHOULD_BE_UPDATE(605002, "EMS SN不能修改"),
    RUNNING_TASK_EXIST(605003, "存在进行中的任务,不允许做相关操作"),
    HAVING_TASK_(605003, "存在进行中的任务"),
    DEVICE_TASK_HAVE_HOT_STARTED(605004, "设备还未开启过任务"),
    TASK_HOT_EXIST(605005, "对应任务不存在"),
    SAME_TYPE_RECORD_EXIST(605006, "设备类型字段(type)已经存在"),
    CURRENT_TASK_STATUS_NOT_RUNNING(605006, "当前任务状态非运行中"),
    CHECK_PLAN_CONFIG_ERROR(605007, "测试方案配置有误"),
    CHECK_PLAN_CONFIG_LACK_STEP_DETAIL(605008, "测试方案配置有误，步骤缺少对应的详情"),
    STEP_CONFIG_LACK_OF_COL_TYPE(60000,"该方案中这个页面元素缺少 属性类型 配置"),
    TASK_HAS_USED_THE_PLAN(60000,"该方案已被任务使用，无法变更，请复制一个新方案"),

    HAS_OVER_LAP(605009, "时间范围存在重复,请确认后重试!"),

    ADD_FAIL(605010, "新增失败"),

    MODIFY_FAIL(605011, "编辑失败"),

    DELETE_FAIL(605012, "删除失败"),

    AUTO_POINT_CONFIG_FAIL(60000, "自动化测试曲线指标配置错误"),

    AUTO_DETAILS_CONFIG_FAIL(605014, "方案明细配置错误"),

    MUST_BE_GROUP(605015, "当前为第一层级，必须选择 页面元素"),
    MUST_BE_NOT_GROUP(605016, "当前不为第一层级，不能选择为组"),

    MUST_BE_COMMAND(605017, "CHECK的父级只能是COMMADN"),

    PLAN_IS_BEGIN(605018, "方案正在执行,不可修改步骤信息"),

    PLAN_COPY_FAIL(605019, "方案复制失败"),

    PLAN_POWER_INSERT_ERROR(605020, "功率调度保存失败"),
    PLAN_ACTIVE_POWER_INSERT_ERROR(605021, "时令计划保存失败"),

    //ota升级
    NOT_CHECK_STATION_DEVICE(605022, "未选择升级的站点及设备"),

    STATION_OFFLINE(605023, "所选电站存在离线"),

    ELEC_TEMPLATE_TIME_CLASH(605024, "费率模板时间与该电站其他模板时间出现冲突，请确认后重试!"),

    ELEC_TEMPLATE_LIST_NON(605025, "电价费率数据不可为空,请正确填写后重试!"),

    CONTROL_ALREADY_EXISTS(605022, "名称已经存在"),

    DONT_REPEAT_SUBMISSION(605023, "计算任务已经开始,请勿重复提交!"),
    STATION_SN_IS_NOT_EXISTS(605024, "电站sn码不存在,不能下发!"),
    DATA_IS_EXISTS(605025, "数据为空,无法导出!"),

    SEND_DATA_IS_EXISTS(605025, "可发送数据为空,无法下发,请确认后重试!"),

    DATA_IS_ERROR(605026, "数据或文件格式有误,请确认后重试!"),

    CANNOT_BE_DELETED(605027, "请先禁用计划曲线模板再删除!"),

    DATA_NOT_SAVE(605028, "数据未保存,不能下发,请确认后重试!"),

    PUBLIC_CANNOT_BE_DELETED(605028, "通用模板不可删除!"),

    RADIO_MSG(605028, "单选框最多添加3个值,如需更多选择建议使用下拉框!"),

    FILE_TYPE_ERROR(605029, "文件类型错误,导入数据仅支持xls,xlsx!"),

    TAB_NAME_EXISTS(605030, "页签名称重复,请确认后重试!"),

    TEM_NOT_EXISTS(605031, "模板不能为空!"),

    PLAN_IS_USE(605032, "方案正在使用,无法删除,请确认后重试!"),

    CANNOT_BE_DISPLAY(605033, "模板正在策略方案中使用,不能禁用!"),
    FILE_ISSUE_FAIL(605034, "下发JSON文件失败!"),

    CHANGEOVER_IS_NON(605035, "还没有设置投退投退,请先选择投退压板!"),

    PLAN_NAME_IS_EXISTS(605036, "方案名称已存在,请确认后重试!"),

    TOTAL_NUMBER_ABNORMAL(605033, "总个数异常"),

    ISPRIVATE_NOT(605037, "私有公有类型为空"),

    STATIONNOT_EQUIPPED_QUALITY(605037, "该电站未配置品质点"),
    EXISTS_DUPLICATE_DATA_DELETE(605037, "存在重复数据,请删除相关类型配置数据!"),
    BIT_CONVERSION_NOT_REPLACEMENT(605040, "输入值转换后第12位bit值不为取代值标志值"),
    DATA_NOT_MORE_TWENTYFIVE(605041, "保存数据不能超过25条"),

    INSPECTION_TEMPLATE_DELETED(605042, "对应的巡检模板已删除，巡检失败！"),
    /************************抽取新的********************************/
    EXCEL_DATA_NOT_EXIST(500, "不存在昨日负荷数据"),
    EXISTS_DUPLICATE_ALARM(500,"该作用范围内的字段已经配置过,重复字符为:"),
    EN_US_NOT_SUPPORT_OPERATION(500,"请切换为中文，再操作配置！"),
    ;

    /**
     * 错误码
     */
    private final int code;
    /**
     * 错误消息
     */
    private final String msg;

    BaseResponseCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return msg;
    }
}
